Path: milton!ogicse!uwm.edu!zaphod.mps.ohio-state.edu!mips!apple!well!mrkeys
From: mrkeys@well.sf.ca.us (Kevin Moore)
Newsgroups: rec.games.go
Subject: Handicap patterns (games)
Message-ID: <27843@well.sf.ca.us>
Date: 11 Oct 91 21:48:15 GMT
Article-I.D.: well.27843
Organization: Whole Earth 'Lectronic Link, Sausalito, CA
Lines: 2723

The following are a series of handicap go patterns
in Smart-Go format. When I explained to a friend
that these seemed to patterns where White was playing
very honestly, he said, "But then White can't win!"  :-)
The games are short because of this...

---

#! /bin/sh
# This is a shell archive, meaning:
# 1. Remove everything above the #! /bin/sh line.
# 2. Save the resulting text in a file.
# 3. Execute the file with /bin/sh (not csh) to create:
#	5-stone.patterns
#	6-stone.patterns
#	7-stone.patterns
#	8-stone.patterns
#	9-stone.patterns
# This archive created: Fri Oct 11 13:24:40 1991
export PATH; PATH=/bin:/usr/bin:$PATH
if test -f '5-stone.patterns'
then
	echo shar: "will not over-write existing file '5-stone.patterns'"
else
cat << \SHAR_EOF > '5-stone.patterns'

(
;
GaMe[1]
SiZe[19]
VieW[]
AddBlack[jj][pd][dp][dd][pp]
PLayer[
White]
BlackSpec[1]
WhiteSpec[1]
FileFormat[1]
(
;
Name[pattern1]
;
White[nc]
;
Black[pf]
;
White[qh]
;
Black[qk]
;
White[og]
;
Black[nf]
;
White[jc]
;
Black[of]
;
White[oj]
;
Black[pl]
;
White[cf]
;
Black[dj]
;
White[fd]
;
Black[fe]
;
White[ge]
;
Black[ee]
;
White[cc]
;
Black[cd]
;
White[dc]
;
Black[bc]
;
White[ed]
;
Black[df]
;
White[gd]
;
Black[jp]
;
White[dg]
;
Black[ff]
;
White[eh]
;
Black[gf]
;
White[fi]
;
Black[if]
;
White[dn]
;
Black[fj]
;
White[gj]
;
Black[fk]
;
White[fn]
;
Black[gk]
;
White[fq]
;
Black[cp]
)
(
;
Name[pattern2]
;
White[nc]
;
Black[pf]
;
White[fc]
;
Black[df]
;
White[jd]
;
Black[jp]
;
White[qh]
;
Black[qk]
;
White[qe]
;
Black[pe]
;
White[qf]
;
Black[pg]
;
White[ri]
;
Black[pi]
;
White[ph]
;
Black[oh]
;
White[oi]
;
Black[qi]
;
White[rh]
;
Black[nh]
;
White[pk]
;
Black[qj]
;
White[ni]
;
Black[pl]
;
White[qd]
;
Black[qc]
;
White[rc]
;
Black[pb]
;
White[oc]
;
Black[pc]
;
White[mi]
;
Black[rb]
;
White[rd]
;
Black[nf]
;
White[ch]
;
Black[dk]
;
White[eh]
;
Black[ff]
;
White[gd]
;
Black[ec]
;
White[bf]
;
Black[cd]
;
White[bk]
;
Black[qq]
)
(
;
Name[pattern3]
;
White[nc]
;
Black[pf]
;
White[fc]
;
Black[df]
;
White[kd]
;
Black[qj]
;
White[dm]
;
Black[fp]
;
White[kq]
;
Black[iq]
;
White[nq]
;
Black[oq]
;
White[np]
;
Black[pn]
;
White[qq]
;
Black[or]
;
White[qo]
;
Black[po]
;
White[qn]
;
Black[qp]
;
White[rp]
;
Black[qm]
;
White[rm]
;
Black[rq]
;
White[ro]
;
Black[qr]
;
White[qk]
;
Black[jo]
;
White[mn]
;
Black[km]
;
White[ml]
;
Black[pm]
;
White[ql]
;
Black[dj]
)
(
;
Name[pattern4]
;
White[nc]
;
Black[pf]
;
White[cf]
;
Black[fd]
;
White[fq]
;
Black[dn]
;
White[qn]
;
Black[np]
;
White[hc]
;
Black[kd]
;
White[ge]
;
Black[df]
;
White[dg]
;
Black[ef]
;
White[be]
;
Black[bd]
;
White[cd]
;
Black[cc]
;
White[ce]
;
Black[bc]
;
White[gg]
;
Black[oc]
;
White[nd]
;
Black[kf]
;
White[kb]
;
Black[qo]
;
White[pn]
;
Black[pk]
;
White[cl]
;
Black[jq]
;
White[em]
;
Black[fn]
;
White[eg]
;
Black[fc]
;
White[dq]
;
Black[cq]
;
White[cr]
;
Black[eq]
;
White[dr]
;
Black[er]
;
White[cp]
;
Black[ep]
;
White[bp]
;
Black[nn]
)
(
;
Name[pattern5]
;
White[nc]
;
Black[jc]
;
White[pf]
;
Black[of]
;
White[og]
;
Black[oe]
;
White[qc]
;
Black[pc]
;
White[qd]
;
Black[pe]
;
White[qe]
;
Black[ng]
;
White[pg]
;
Black[mf]
;
White[qn]
;
Black[np]
;
White[lq]
;
Black[iq]
;
White[lo]
;
Black[nn]
;
White[io]
;
Black[gp]
;
White[pm]
;
Black[qo]
;
White[jq]
;
Black[jr]
;
White[ir]
;
Black[hr]
;
White[ip]
;
Black[hq]
;
White[kr]
;
Black[rn]
;
White[rm]
;
Black[pn]
;
White[qm]
;
Black[om]
;
White[id]
;
Black[jd]
;
White[ie]
;
Black[je]
;
White[if]
;
Black[hb]
;
White[df]
;
Black[fc]
;
White[cd]
;
Black[cc]
;
White[ce]
;
Black[bc]
;
White[cj]
;
Black[cp]
;
White[cm]
;
Black[di]
;
White[ci]
;
Black[dh]
;
White[bg]
;
Black[ff]
)
(
;
Name[pattern6]
;
White[nc]
;
Black[jc]
;
White[qf]
;
Black[pf]
;
White[pg]
;
Black[of]
;
White[qe]
;
Black[qd]
;
White[md]
;
Black[oc]
;
White[ob]
;
Black[nd]
;
White[nb]
;
Black[pb]
;
White[mf]
;
Black[ng]
;
White[qi]
;
Black[ld]
;
White[me]
;
Black[lb]
;
White[mc]
;
Black[re]
;
White[fc]
;
Black[je]
;
White[dg]
;
Black[ee]
;
White[cc]
;
Black[dc]
;
White[db]
;
Black[eb]
;
White[bb]
;
Black[da]
;
White[cb]
;
Black[ec]
;
White[cf]
;
Black[eg]
;
White[eh]
;
Black[fg]
)
(
;
Name[pattern7]
;
White[nc]
;
Black[pf]
;
White[qn]
;
Black[qj]
;
White[nq]
;
Black[np]
;
White[mp]
;
Black[no]
;
White[qq]
;
Black[qp]
;
White[pq]
;
Black[oq]
;
White[or]
;
Black[op]
;
White[mr]
;
Black[mo]
;
White[lp]
;
Black[oj]
;
White[cf]
;
Black[cj]
;
White[fc]
;
Black[fd]
;
White[gd]
;
Black[fe]
;
White[cc]
;
Black[cd]
;
White[dc]
;
Black[ec]
;
White[eb]
;
Black[ed]
;
White[gc]
;
Black[fb]
;
White[db]
;
Black[ge]
;
White[id]
;
Black[he]
;
White[jc]
;
Black[ej]
)
)
SHAR_EOF
fi
if test -f '6-stone.patterns'
then
	echo shar: "will not over-write existing file '6-stone.patterns'"
else
cat << \SHAR_EOF > '6-stone.patterns'

(
;
GaMe[1]
SiZe[19]
VieW[]
AddBlack[pd][dp][dd][pp][pj][dj]
PLayer[
White]
BlackSpec[1]
WhiteSpec[1]
FileFormat[1]
(
;
Name[pattern1]
;
White[nc]
;
Black[jc]
;
White[pf]
;
Black[of]
;
White[qc]
;
Black[pc]
;
White[qd]
;
Black[pe]
;
White[qe]
;
Black[ne]
;
White[pg]
;
Black[je]
;
White[mp]
;
Black[pn]
;
White[fq]
;
Black[dn]
;
White[cf]
;
Black[cd]
;
White[ff]
;
Black[fd]
;
White[dl]
;
Black[fj]
;
White[fl]
;
Black[fn]
;
White[hl]
;
Black[hj]
;
White[gp]
;
Black[eq]
;
White[hn]
;
Black[ch]
;
White[cq]
;
Black[fr]
;
White[gr]
;
Black[fp]
;
White[gq]
;
Black[cp]
)
(
;
Name[pattern2]
;
White[nc]
;
Black[jc]
;
White[qn]
;
Black[qo]
;
White[pn]
;
Black[np]
;
White[pg]
;
Black[oe]
;
White[nj]
;
Black[md]
;
White[pl]
;
Black[jq]
;
White[jo]
;
Black[hp]
;
White[kq]
;
Black[kr]
;
White[jr]
;
Black[ir]
;
White[jp]
;
Black[iq]
;
White[lr]
;
Black[js]
;
White[mo]
;
Black[or]
;
White[cp]
;
Black[cq]
;
White[co]
;
Black[bq]
;
White[en]
;
Black[ep]
;
White[cf]
;
Black[fd]
;
White[bd]
;
Black[cc]
;
White[dh]
;
Black[fj]
)
(
;
Name[pattern3]
;
White[nc]
;
Black[jc]
;
White[gd]
;
Black[je]
;
White[dg]
;
Black[ef]
;
White[cc]
;
Black[dc]
;
White[cd]
;
Black[df]
;
White[cf]
;
Black[ce]
;
White[be]
;
Black[de]
;
White[bg]
;
Black[eg]
;
White[dh]
;
Black[eh]
;
White[pg]
;
Black[oe]
;
White[qc]
;
Black[pc]
;
White[pb]
;
Black[ob]
;
White[rb]
;
Black[pa]
;
White[qb]
;
Black[oc]
;
White[qf]
;
Black[nf]
;
White[jq]
;
Black[hq]
;
White[nq]
;
Black[pn]
;
White[pr]
;
Black[qq]
;
White[lp]
;
Black[oh]
)
(
;
Name[pattern4]
;
White[nc]
;
Black[pf]
;
White[cf]
;
Black[ce]
;
White[df]
;
Black[fd]
;
White[hc]
;
Black[kd]
;
White[ge]
;
Black[fe]
;
White[ff]
;
Black[gf]
;
White[he]
;
Black[gg]
;
White[ef]
;
Black[eb]
;
White[ei]
;
Black[if]
;
White[kb]
;
Black[ii]
;
White[ej]
;
Black[dl]
)
(
;
Name[pattern5]
;
White[nc]
;
Black[pf]
;
White[fc]
;
Black[df]
;
White[jd]
;
Black[jp]
;
White[ph]
;
Black[oi]
;
White[rh]
;
Black[oh]
;
White[qk]
;
Black[hc]
;
White[hd]
;
Black[id]
;
White[ie]
;
Black[ic]
;
White[he]
;
Black[jc]
;
White[kd]
;
Black[gc]
;
White[fd]
;
Black[lb]
;
White[md]
;
Black[pg]
;
White[qn]
;
Black[np]
;
White[rp]
;
Black[qq]
;
White[cn]
;
Black[co]
;
White[dn]
;
Black[fp]
;
White[dl]
;
Black[fj]
;
White[gm]
;
Black[jq]
)
(
;
Name[pattern6]
;
White[pg]
;
Black[nd]
;
White[qn]
;
Black[qo]
;
White[pn]
;
Black[np]
;
White[nj]
;
Black[oi]
;
White[cn]
;
Black[ni]
;
White[fq]
;
Black[fp]
;
White[gp]
;
Black[fo]
;
White[cq]
;
Black[eq]
;
White[cp]
;
Black[gq]
;
White[jq]
;
Black[hq]
;
White[nr]
;
Black[pq]
;
White[lq]
;
Black[mj]
)
)
SHAR_EOF
fi
if test -f '7-stone.patterns'
then
	echo shar: "will not over-write existing file '7-stone.patterns'"
else
cat << \SHAR_EOF > '7-stone.patterns'

(
;
GaMe[1]
SiZe[19]
VieW[]
AddBlack[jj][pd][dp][dd][pp][pj][dj]
PLayer[
White]
BlackSpec[1]
WhiteSpec[1]
FileFormat[1]
(
;
Name[pattern1]
;
White[nc]
;
Black[jd]
;
White[qc]
;
Black[pc]
;
White[qd]
;
Black[pe]
;
White[pb]
;
Black[ob]
;
White[qb]
;
Black[oc]
;
White[qf]
;
Black[pf]
;
White[qg]
;
Black[pg]
;
White[qh]
;
Black[ph]
;
White[hc]
;
Black[fc]
;
White[jc]
;
Black[kc]
;
White[kb]
;
Black[ic]
;
White[jb]
;
Black[id]
;
White[lc]
;
Black[kd]
;
White[ib]
;
Black[hd]
;
White[gc]
;
Black[gd]
;
White[fb]
;
Black[eb]
;
White[gb]
;
Black[jp]
)
(
;
Name[pattern2]
;
White[nc]
;
Black[jd]
;
White[pf]
;
Black[of]
;
White[og]
;
Black[oe]
;
White[qc]
;
Black[pc]
;
White[qd]
;
Black[qb]
;
White[pe]
;
Black[nd]
;
White[pg]
;
Black[jp]
;
White[qn]
;
Black[np]
;
White[pl]
;
Black[ng]
;
White[nh]
;
Black[mg]
;
White[fc]
;
Black[df]
;
White[db]
;
Black[cc]
;
White[hc]
;
Black[jc]
;
White[mh]
;
Black[lg]
;
White[rb]
;
Black[pb]
;
White[ib]
;
Black[jb]
;
White[hq]
;
Black[fq]
;
White[ho]
;
Black[jq]
)
(
;
Name[pattern3]
;
White[nc]
;
Black[jd]
;
White[pf]
;
Black[nd]
;
White[md]
;
Black[ne]
;
White[oc]
;
Black[pe]
;
White[qb]
;
Black[me]
;
White[ld]
;
Black[le]
;
White[fq]
;
Black[jp]
;
White[dn]
;
Black[en]
;
White[em]
;
Black[eo]
;
White[cq]
;
Black[dq]
;
White[cp]
;
Black[do]
;
White[co]
;
Black[fm]
;
White[dm]
;
Black[gn]
;
White[nq]
;
Black[no]
;
White[mo]
;
Black[mn]
;
White[lo]
;
Black[np]
;
White[mq]
;
Black[oq]
;
White[kq]
;
Black[ln]
;
White[ko]
;
Black[jm]
)
(
;
Name[pattern4]
;
White[nc]
;
Black[kd]
;
White[ne]
;
Black[pf]
;
White[pb]
;
Black[qc]
;
White[kb]
;
Black[jp]
;
White[gd]
;
Black[df]
;
White[kf]
;
Black[gf]
;
White[ie]
;
Black[dn]
;
White[hq]
;
Black[jq]
;
White[dq]
;
Black[eq]
;
White[er]
;
Black[ep]
;
White[dr]
;
Black[gp]
;
White[gq]
;
Black[hp]
)
(
;
Name[pattern5]
;
White[nc]
;
Black[kd]
;
White[le]
;
Black[pf]
;
White[id]
;
Black[jp]
;
White[cf]
;
Black[ce]
;
White[df]
;
Black[fd]
;
White[dm]
;
Black[fp]
;
White[fj]
;
Black[ek]
;
White[fm]
;
Black[fk]
;
White[gk]
;
Black[gj]
;
White[gp]
;
Black[fo]
;
White[gl]
;
Black[fi]
;
White[hj]
;
Black[gi]
;
White[io]
;
Black[jo]
;
White[gq]
;
Black[fq]
;
White[im]
;
Black[jn]
;
White[go]
;
Black[bp]
;
White[kl]
;
Black[mp]
;
White[ld]
;
Black[hi]
)
(
;
Name[pattern6]
;
White[nc]
;
Black[lc]
;
White[ne]
;
Black[pf]
;
White[kd]
;
Black[oc]
;
White[nb]
;
Black[kc]
;
White[jd]
;
Black[ld]
;
White[le]
;
Black[jc]
;
White[id]
;
Black[hc]
;
White[md]
;
Black[hd]
;
White[fq]
;
Black[jp]
;
White[dn]
;
Black[en]
;
White[em]
;
Black[eo]
;
White[cq]
;
Black[dq]
;
White[cp]
;
Black[do]
;
White[co]
;
Black[fm]
;
White[dm]
;
Black[gn]
;
White[nq]
;
Black[oq]
;
White[np]
;
Black[pn]
;
White[jr]
;
Black[kq]
;
White[kr]
;
Black[lr]
;
White[lq]
;
Black[mq]
;
White[mr]
;
Black[lp]
;
White[ls]
;
Black[lq]
;
White[or]
;
Black[pr]
;
White[iq]
;
Black[nn]
)
(
;
Name[pattern7]
;
White[nc]
;
Black[pf]
;
White[fc]
;
Black[df]
;
White[jd]
;
Black[jp]
;
White[ph]
;
Black[oi]
;
White[oh]
;
Black[nh]
;
White[ng]
;
Black[og]
;
White[rh]
;
Black[rj]
;
White[qe]
;
Black[pe]
;
White[qf]
;
Black[qd]
;
White[pg]
;
Black[of]
;
White[rd]
;
Black[rc]
;
White[se]
;
Black[mg]
;
White[nq]
;
Black[oq]
;
White[np]
;
Black[pn]
;
White[hq]
;
Black[nf]
;
White[pb]
;
Black[qb]
;
White[pc]
;
Black[qc]
;
White[qi]
;
Black[qj]
;
White[ld]
;
Black[fq]
;
White[jq]
;
Black[kq]
;
White[kp]
;
Black[iq]
;
White[jr]
;
Black[jo]
)
(
;
Name[pattern8]
;
White[nc]
;
Black[pf]
;
White[jd]
;
Black[hc]
;
White[jq]
;
Black[ip]
;
White[jp]
;
Black[io]
;
White[hr]
;
Black[fp]
;
White[nq]
;
Black[ie]
;
White[je]
;
Black[if]
;
White[qn]
;
Black[np]
;
White[mp]
;
Black[no]
;
White[oq]
;
Black[pq]
;
White[pm]
;
Black[qo]
;
White[ro]
;
Black[pn]
;
White[rn]
;
Black[rp]
;
White[nm]
;
Black[pl]
;
White[qm]
;
Black[ol]
;
White[om]
;
Black[pr]
;
White[ph]
;
Black[nj]
;
White[km]
;
Black[im]
;
White[nh]
;
Black[lj]
;
White[nf]
;
Black[pb]
)
)
SHAR_EOF
fi
if test -f '8-stone.patterns'
then
	echo shar: "will not over-write existing file '8-stone.patterns'"
else
cat << \SHAR_EOF > '8-stone.patterns'

(
;
GaMe[1]
SiZe[19]
VieW[]
AddBlack[pd][dp][dd][pp][pj][dj][jd][jp]
PLayer[]
BlackSpec[0]
WhiteSpec[0]
FileFormat[1]
GameName[8-stones]
(
;
Name[pattern one]
PLayer[
White]
;
White[jj]
;
Black[np]
;
White[nc]
;
Black[pf]
;
White[gd]
;
Black[df]
;
White[mf]
;
Black[jf]
;
White[gg]
;
Black[jh]
;
White[dh]
;
Black[ki]
;
White[cn]
;
Black[fp]
;
White[bh]
;
Black[ec]
;
White[fm]
;
Black[oc]
;
White[nd]
;
Black[kj]
;
White[ld]
;
Black[kc]
;
White[mh]
;
Black[ng]
;
White[mg]
;
Black[mj]
;
White[og]
;
Black[pg]
;
White[lc]
;
Black[ob]
;
White[ig]
;
Black[jg]
;
White[ie]
;
Black[je]
;
White[oh]
;
Black[jk]
;
White[ik]
;
Black[jl]
)
(
;
Name[pattern two]
PLayer[
White]
;
White[nc]
;
Black[nd]
;
White[md]
;
Black[ne]
;
White[oc]
;
Black[pc]
;
White[lc]
;
Black[pf]
;
White[fc]
;
Black[df]
;
White[lf]
;
Black[ge]
;
White[hd]
;
Black[cj]
;
White[fq]
;
Black[fp]
;
White[gp]
;
Black[fo]
;
White[cq]
;
Black[cp]
;
White[dq]
;
Black[eq]
;
White[er]
;
Black[ep]
;
White[gr]
;
Black[go]
;
White[hp]
;
Black[ho]
;
White[qn]
;
Black[qo]
;
White[pn]
;
Black[np]
;
White[qh]
;
Black[qf]
;
White[oh]
;
Black[nn]
;
White[pl]
;
Black[nl]
;
White[ok]
;
Black[mj]
;
White[oj]
;
Black[if]
;
White[je]
;
Black[jj]
;
White[cc]
;
Black[dc]
;
White[db]
;
Black[cd]
;
White[bb]
;
Black[bc]
;
White[cb]
;
Black[ip]
)
(
;
Name[pattern three]
PLayer[
White]
;
White[nc]
;
Black[pf]
;
White[dg]
;
Black[fd]
;
White[dm]
;
Black[fp]
;
White[gg]
;
Black[fj]
;
White[hd]
;
Black[ce]
;
White[hb]
;
Black[jb]
;
White[mg]
;
Black[jf]
;
White[jh]
;
Black[me]
;
White[ne]
;
Black[nf]
;
White[mf]
;
Black[nd]
;
White[md]
;
Black[le]
;
White[od]
;
Black[oe]
;
White[pc]
;
Black[nd]
;
White[oc]
;
Black[ne]
;
White[qd]
;
Black[fm]
)
)
SHAR_EOF
fi
if test -f '9-stone.patterns'
then
	echo shar: "will not over-write existing file '9-stone.patterns'"
else
cat << \SHAR_EOF > '9-stone.patterns'

(
;
GaMe[1]
SiZe[19]
VieW[]
AddBlack[jj][pd][dp][dd][pp][pj][dj][jd][jp]
PLayer[]
BlackSpec[0]
WhiteSpec[0]
FileFormat[1]
GameName[nine-stone patterns]
;
VieW[]
BlackSpec[0]
WhiteSpec[0]
Name[nine-stone handicap]
(
;
Name[pattern 1]
PLayer[
White]
;
White[nc]
;
Black[oc]
;
White[nd]
;
Black[pf]
;
White[ld]
;
Black[jf]
;
White[mg]
;
Black[jh]
;
White[ph]
;
Black[mj]
;
White[nh]
;
Black[re]
;
White[nq]
;
Black[oq]
;
White[np]
;
Black[pn]
;
White[lp]
;
Black[jn]
;
White[jr]
;
Black[kq]
;
White[kr]
;
Black[lq]
;
White[lr]
;
Black[nr]
;
White[mr]
;
Black[or]
;
White[mq]
;
Black[iq]
;
White[ir]
;
Black[hq]
)
(
;
Name[pattern 2]
PLayer[
White]
;
White[nc]
;
Black[oc]
;
White[nd]
;
Black[pf]
;
White[gd]
;
Black[jf]
;
White[cf]
;
Black[ee]
;
White[cc]
;
Black[cd]
;
White[bd]
;
Black[dc]
;
White[bb]
;
Black[cb]
;
White[bc]
;
Black[lc]
;
White[dh]
;
Black[ff]
;
White[cn]
;
Black[fp]
;
White[bp]
;
Black[cq]
;
White[dl]
;
Black[jq]
;
White[qn]
;
Black[qo]
;
White[pn]
;
Black[np]
;
White[qh]
;
Black[ph]
;
White[pi]
;
Black[oi]
;
White[qi]
;
Black[oh]
;
White[qj]
;
Black[pk]
;
White[qk]
;
Black[pl]
;
White[rn]
;
Black[nn]
)
(
;
Name[pattern 3]
PLayer[
White]
;
White[nc]
;
Black[oc]
;
White[nd]
;
Black[pf]
;
White[gd]
;
Black[df]
;
White[jf]
;
Black[ie]
;
White[gf]
;
Black[if]
;
White[ig]
;
Black[jg]
;
White[ih]
;
Black[kf]
;
White[jh]
;
Black[kg]
;
White[gh]
;
Black[kh]
;
White[dh]
;
Black[gj]
;
White[qc]
;
Black[ob]
;
White[qe]
;
Black[pe]
;
White[qf]
;
Black[qd]
;
White[rd]
;
Black[qg]
;
White[rg]
;
Black[rh]
;
White[rf]
;
Black[qh]
;
White[nq]
;
Black[rb]
;
White[rc]
;
Black[qb]
;
White[se]
;
Black[oq]
;
White[np]
;
Black[pn]
)
(
;
Name[pattern 4]
PLayer[
White]
;
White[nc]
;
Black[pf]
;
White[gd]
;
Black[df]
;
White[jf]
;
Black[md]
;
White[nd]
;
Black[me]
;
White[ne]
;
Black[nf]
;
White[mf]
;
Black[lf]
;
White[mg]
;
Black[ng]
;
White[lg]
;
Black[mc]
;
White[mb]
;
Black[lb]
;
White[nb]
;
Black[pb]
;
White[qc]
;
Black[pc]
;
White[dc]
;
Black[cc]
;
White[ec]
;
Black[cb]
;
White[kc]
;
Black[kd]
;
White[lc]
;
Black[kb]
;
White[jc]
;
Black[ic]
;
White[jb]
;
Black[ib]
;
White[la]
;
Black[ld]
;
White[ka]
;
Black[ie]
;
White[ob]
;
Black[if]
;
White[gf]
;
Black[ih]
)
(
;
Name[pattern 5]
PLayer[
White]
;
White[nc]
;
Black[pf]
;
White[fc]
;
Black[df]
;
White[jf]
;
Black[le]
;
White[ne]
;
Black[lg]
;
White[ng]
;
Black[ph]
;
White[dh]
;
Black[ff]
;
White[bh]
;
Black[cj]
;
White[fh]
;
Black[hf]
;
White[fj]
;
Black[dm]
)
(
;
Name[pattern 6]
PLayer[
White]
;
White[nc]
;
Black[pf]
;
White[gd]
;
Black[df]
;
White[qn]
;
Black[np]
;
White[ph]
;
Black[jf]
;
White[nh]
;
Black[nf]
;
White[pl]
;
Black[gf]
;
White[jc]
;
Black[kc]
;
White[kd]
;
Black[ld]
;
White[ke]
;
Black[je]
;
White[lc]
;
Black[kb]
;
White[jb]
;
Black[lb]
;
White[mc]
;
Black[me]
;
White[mb]
;
Black[kf]
;
White[ka]
;
Black[le]
;
White[la]
;
Black[kd]
;
White[hc]
;
Black[qj]
;
White[ok]
;
Black[qh]
)
(
;
Name[pattern 7]
PLayer[
White]
;
White[md]
;
Black[pf]
;
White[fc]
;
Black[df]
;
White[jg]
;
Black[kf]
;
White[kg]
;
Black[lf]
;
White[jf]
;
Black[je]
;
White[gf]
;
Black[eg]
;
White[gh]
;
Black[gj]
;
White[lg]
;
Black[mf]
;
White[mg]
;
Black[nf]
;
White[lj]
;
Black[dc]
;
White[fq]
;
Black[eq]
;
White[fp]
;
Black[dn]
;
White[jr]
;
Black[jq]
;
White[ir]
;
Black[kr]
;
White[hp]
;
Black[iq]
;
White[hq]
;
Black[gr]
;
White[hr]
;
Black[fr]
;
White[in]
;
Black[lq]
;
White[hc]
;
Black[jc]
;
White[pc]
;
Black[qc]
;
White[qb]
;
Black[oc]
;
White[pb]
;
Black[qd]
;
White[nc]
;
Black[od]
;
White[ob]
;
Black[oh]
)
(
;
Name[pattern 8]
PLayer[
White]
;
White[nd]
;
Black[pf]
;
White[gd]
;
Black[df]
;
White[jf]
;
Black[ie]
;
White[fg]
;
Black[if]
;
White[dg]
;
Black[cg]
;
White[ch]
;
Black[cf]
;
White[dh]
;
Black[fj]
;
White[ig]
;
Black[jg]
;
White[ih]
;
Black[kf]
;
White[jh]
;
Black[kg]
;
White[kh]
;
Black[mg]
;
White[dm]
;
Black[fp]
;
White[ij]
;
Black[fm]
;
White[jk]
;
Black[co]
;
White[pc]
;
Black[qc]
;
White[qb]
;
Black[oc]
;
White[pb]
;
Black[od]
;
White[qd]
;
Black[ob]
;
White[rd]
;
Black[np]
)
(
;
Name[pattern 9]
PLayer[
White]
;
White[md]
;
Black[pf]
;
White[hc]
;
Black[jf]
;
White[jc]
;
Black[kc]
;
White[kd]
;
Black[ic]
;
White[jb]
;
Black[ld]
;
White[ke]
;
Black[je]
;
White[lc]
;
Black[ib]
;
White[kb]
;
Black[hd]
;
White[ph]
;
Black[pb]
;
White[rh]
;
Black[rj]
;
White[qe]
;
Black[pe]
;
White[qf]
;
Black[qd]
;
White[pg]
;
Black[pn]
)
)
SHAR_EOF
fi
exit 0
#	End of shell archive

