#! /bin/sh
# This is a shell archive, meaning:
# 1. Remove everything above the #! /bin/sh line.
# 2. Save the resulting text in a file.
# 3. Execute the file with /bin/sh (not csh) to create:
#	README
#	j01
#	j02
#	j03
#	j04
#	j05
#	j06
#	j07
#	j08
#	j09
#	j10
#	j11
#	j12
#	j13
#	j14
#	j15
#	j16
#	j17
#	j18
#	j19
#	j20
#	j21
#	j22
# This archive created: Fri Apr 24 11:24:36 1992
export PATH; PATH=/bin:/usr/bin:$PATH
if test -f 'README'
then
	echo shar: "will not over-write existing file 'README'"
else
cat << \SHAR_EOF > 'README'
This is a collection of problems posted and discussed on reg.games.go in 
March 1992. 

The problems were posted by

       jy23+@andrew.cmu.edu (Jing Yang)

The following people took part in the discussion from which I constructed 
the answers to the problems:

       barryp@otago.ac.nz (Barry Phease)
       kring@efes.physik.uni-kl.de (Thomas Kettenring)
       mliu@pt.com (Fred Liu)
       olounela@klaava.Helsinki.FI (Olli Lounela)
       wangs@sol.engr.umbc.edu (Shawe-Shiuan Wang)
       wsun@lion.waterloo.edu (Lang Cheng Zhang)
       y3c@ecl.psu.edu


SHAR_EOF
fi
if test -f 'j01'
then
	echo shar: "will not over-write existing file 'j01'"
else
cat << \SHAR_EOF > 'j01'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[Life and death, White play next move.]
AddBlack[ee][de][fd][dd][fc][ec][dc][cb][da]
AddWhite[ff][ef][df][cf][ge][ce][gd][cd][jc][gc][cc][bc][gb][bb]
PLayer[W]
;
White[ba]
;
Black[fb]
;
White[fa]
;
Black[ea]
;
White[db]
Comment[Black dies.]
)
SHAR_EOF
fi
if test -f 'j02'
then
	echo shar: "will not over-write existing file 'j02'"
else
cat << \SHAR_EOF > 'j02'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
AddWhite[ff][ef][df][cf][ge][ce][gd][cd][gc][cc][bc][gb][bb]
AddBlack[ee][de][fd][dd][jc][fc][ec][dc][cb][da]
Comment[Life and death, White play next move.]
PLayer[W]
;
White[ba]
;
Black[fb]
(
;
White[db]
Name[good]
;
Black[eb]
;
White[ca]
;
Black[fa]
Comment[Ko.]
)
(
;
White[fa]
Name[bad]
;
Black[ea]
;
White[db]
;
Black[ga]
;
White[ca]
;
Black[hb]
Comment[Black escapes.]
)
)
SHAR_EOF
fi
if test -f 'j03'
then
	echo shar: "will not over-write existing file 'j03'"
else
cat << \SHAR_EOF > 'j03'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[White plays next move]
AddWhite[cq][ci][ch][eg][dg][cf][bf][pd][cd]
AddBlack[jq][pp][di][dh][bh][cg][bg][ef][df][ec]
PLayer[W]
;
White[ff]
;
Black[cj]
;
White[ee]
)
SHAR_EOF
fi
if test -f 'j04'
then
	echo shar: "will not over-write existing file 'j04'"
else
cat << \SHAR_EOF > 'j04'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[White plays next move]
AddBlack[ea][ab][bb][eb][cc][dc][ec][ce][bf][cf][bg]
AddWhite[cb][db][ac][bc][bd][ae][be]
PLayer[W]
(
;
White[ca]
Name[good]
;
Black[da]
;
White[ba]
;
Black[aa]
;
White[cb]
;
Black[ca]
;
White[ba]
Comment[White lives.]
)
(
;
White[ba]
Name[bad]
;
Black[ca]
;
White[aa]
;
Black[bb]
Comment[White dies.]
)
)
SHAR_EOF
fi
if test -f 'j05'
then
	echo shar: "will not over-write existing file 'j05'"
else
cat << \SHAR_EOF > 'j05'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
AddBlack[ha][ia][fb][gb][jb][kb][hc][ic]
AddWhite[ea][eb][lb][nb][ec][fc][gc][kc][lc][hd][id][jd]
Comment[White plays next move]
PLayer[W]
;
White[hb]
;
Black[ka]
;
White[ga]
Comment[White kills black.]
)
SHAR_EOF
fi
if test -f 'j06'
then
	echo shar: "will not over-write existing file 'j06'"
else
cat << \SHAR_EOF > 'j06'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[White Plays next move \(10kyu\)]
AddBlack[ic][hc][gc][jb][hb][fb][ka][ja][fa][ea]
AddWhite[ie][he][ge][jd][fd][lc][jc][fc][ec][kb][eb][db][la][da]
PLayer[W]
;
White[ha]
;
Black[ib]
;
White[ga]
;
Black[gb]
Comment[White kills black.]
)
SHAR_EOF
fi
if test -f 'j07'
then
	echo shar: "will not over-write existing file 'j07'"
else
cat << \SHAR_EOF > 'j07'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[White Plays next move     \(1kyu\)]
AddBlack[ic][hc][gc][kb][jb][hb][fb][eb][ka][ja][fa][ea]
AddWhite[ie][he][ge][jd][fd][lc][kc][jc][fc][ec][dc][lb][db][la][da]
PLayer[W]
;
White[ha]
;
Black[ia]
;
White[ib]
;
Black[jb]
;
White[ja]
;
Black[ia]
;
White[ga]
;
Black[ka]
;
White[kb]
;
Black[gb]
;
White[ja]
Comment[Ko.]
)
SHAR_EOF
fi
if test -f 'j08'
then
	echo shar: "will not over-write existing file 'j08'"
else
cat << \SHAR_EOF > 'j08'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[White Plays next move     \(5kyu\)]
AddBlack[jc][ic][gc][jb][hb][fb][ja][ia][ea]
AddWhite[ie][he][ge][jd][hd][fd][lc][kc][hc][fc][ec][kb][eb][db][ka]
PLayer[W]
;
White[ga]
;
Black[fa]
;
White[gb]
;
Black[ha]
;
White[gb]
;
Black[ga]
)
SHAR_EOF
fi
if test -f 'j09'
then
	echo shar: "will not over-write existing file 'j09'"
else
cat << \SHAR_EOF > 'j09'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
AddBlack[gf][ff][ef][df][he][ce][hd][cd][hc][cc][bb][ea][hb]
AddWhite[fe][ee][fd][dd][fc][ec][dc][db][fb]
Comment[White Plays next move     \(5kyu\)]
PLayer[W]
;
White[fa]
;
Black[da]
;
White[cb]
;
Black[ca]
;
White[ba]
(
;
Black[aa]
;
White[eb]
;
Black[ba]
;
White[bc]
;
Black[bd]
;
White[ab]
)
(
;
Black[ab]
;
White[eb]
)
)
SHAR_EOF
fi
if test -f 'j10'
then
	echo shar: "will not over-write existing file 'j10'"
else
cat << \SHAR_EOF > 'j10'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[White plays next move \(1 kyu\)]
AddBlack[ne][nd][ld][nc][mc][lc][mb][kb][ka]
AddWhite[of][nf][mf][lf][oe][ke][je][od][oc][kc][jc][nb][lb][ib][la][ia]
PLayer[W]
;
White[oa]
;
Black[me]
;
White[ma]
;
Black[na]
;
White[ma]
Comment[White kills black.]
)
SHAR_EOF
fi
if test -f 'j11'
then
	echo shar: "will not over-write existing file 'j11'"
else
cat << \SHAR_EOF > 'j11'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
AddBlack[bf][af][ce][be][cd][bc][cb][bb][ca]
AddWhite[bh][dg][bg][cf][de][dd][bd][ad][dc][cc][db][da]
Comment[White plays next move. \(1 kyu\)

Hint:  white must kill black totally and unconditionally.]
PLayer[W]
(
;
White[ba]
Name[good]
(
;
Black[aa]
;
White[ac]
Comment[Black dead]
)
(
;
Black[ab]
;
White[ag]
)
)
(
;
White[ab]
Name[bad]
;
Black[aa]
;
White[ba]
Comment[Ko.]
)
)
SHAR_EOF
fi
if test -f 'j12'
then
	echo shar: "will not over-write existing file 'j12'"
else
cat << \SHAR_EOF > 'j12'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[White plays next move \(5 kyu\)]
AddBlack[ie][he][id][gd][ic][hc][gc][fc][ec][dc][ib][gb][fa]
AddWhite[jf][if][hf][gf][ke][fe][ee][kd][dd][cd][cc][lb][kb][jb][hb][fb][eb][db][ha][ga]
PLayer[W]
;
White[ia]
;
Black[ja]
;
White[ha]
(
;
Black[ia]
;
White[ga]
;
Black[hb]
;
White[ga]
)
(
;
Black[hb]
;
White[ia]
;
Black[ga]
;
White[ia]
)
)
SHAR_EOF
fi
if test -f 'j13'
then
	echo shar: "will not over-write existing file 'j13'"
else
cat << \SHAR_EOF > 'j13'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[White plays next move   \(5 kyu\)]
PLayer[W]
AddWhite[ac][bb][ca]
AddBlack[ee][dd][bd][db]
;
White[cc]
;
Black[cd]
;
White[dc]
(
;
Black[ec]
;
White[eb]
;
Black[fb]
;
White[ea]
;
Black[fa]
;
Comment[White lives.]
White[da]
)
(
;
Black[eb]
;
White[ec]
(
;
Black[fc]
;
White[fd]
;
Black[ed]
;
White[fb]
;
Black[gc]
;
White[ea]
;
Black[gb]
;
White[fa]
;
Black[ga]
;
Comment[White lives.]
White[da]
)
(
;
Black[fb]
;
White[fc]
;
Black[gc]
;
White[gd]
;
Black[fd]
;
White[gb]
;
Black[hc]
;
White[hb]
;
Black[ic]
;
White[ib]
(
;
Black[jc]
;
White[jb]
;
Black[kb]
;
White[fa]
;
Black[ja]
;
White[ea]
;
Black[ia]
;
White[da]
;
Black[ha]
;
Comment[White lives.]
White[cb]
)
(
;
Black[jb]
;
White[jc]
(
;
Black[kb]
;
White[id]
;
Black[hd]
;
Comment[White lives.]
White[he]
)
(
;
Black[id]
;
Comment[White lives.]
White[kb]
)
)
)
)
)
SHAR_EOF
fi
if test -f 'j14'
then
	echo shar: "will not over-write existing file 'j14'"
else
cat << \SHAR_EOF > 'j14'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[White plays next move \(5 kyu\)]
AddWhite[kc][jc][ic][lb][ib][hb][ha]
AddBlack[md][kd][jd][id][gd][lc][hc][nb][mb][gb][fb]
PLayer[W]
;
White[ja]
;
Black[kb]
;
White[la]
;
Black[ma]
;
White[ka]
Comment[White alive.]
)
SHAR_EOF
fi
if test -f 'j15'
then
	echo shar: "will not over-write existing file 'j15'"
else
cat << \SHAR_EOF > 'j15'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[White plays next move \(5 kyu\)]
AddBlack[hc][jb][hb][gb][fb][ha][fa]
AddWhite[jd][id][hd][gd][nc][lc][kc][jc][fc][ec][eb]
PLayer[W]
;
White[ja]
(
;
Black[ka]
;
White[ic]
;
Black[ib]
;
White[kb]
)
(
;
Black[kb]
;
White[lb]
;
Black[ia]
;
White[ic]
;
Black[ka]
;
White[ib]
)
)
SHAR_EOF
fi
if test -f 'j16'
then
	echo shar: "will not over-write existing file 'j16'"
else
cat << \SHAR_EOF > 'j16'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
AddBlack[ke][je][ie][id][jc][hc][jb][hb][gb][fb][ia][ha]
AddWhite[lf][kf][jf][if][le][he][hd][gd][nc][lc][kc][fc][ec][kb][eb][ld]
Comment[White plays next move \(5 kyu\)]
PLayer[W]
;
White[ic]
(
;
Black[ib]
;
White[kd]
;
Black[jd]
;
White[fa]
)
(
;
Black[fa]
;
White[jd]
)
)
SHAR_EOF
fi
if test -f 'j17'
then
	echo shar: "will not over-write existing file 'j17'"
else
cat << \SHAR_EOF > 'j17'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
PLayer[W]
Comment[White plays next move \(5 dan\)]
AddWhite[ch][bh][ah][cg][cf][de][dd][dc][db][cb]
AddBlack[bg][bf][ce][cd][cc][bb][ba]
;
White[ad]
(
;
Black[bc]
;
White[be]
;
Black[bd]
;
Comment[Ko.]
White[af]
)
(
;
Black[be]
;
White[bc]
(
;
Black[bd]
;
White[ab]
(
;
Black[ae]
;
White[ac]
;
Black[aa]
;
White[ac]
;
Black[ag]
;
Comment[Black dead.]
White[bc]
)
(
;
Comment[Ko.]
Black[ac]
)
)
(
;
Black[ab]
;
White[ag]
;
Black[af]
;
Comment[Black dead.]
White[ca]
)
)
)
SHAR_EOF
fi
if test -f 'j18'
then
	echo shar: "will not over-write existing file 'j18'"
else
cat << \SHAR_EOF > 'j18'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[White plays next move \(5 kyu\)]
AddWhite[ib][hb][gb][eb][db][cb]
AddBlack[jc][ic][hc][gc][ec][dc][cc][bc][jb][bb]
PLayer[W]
(
;
White[fa]
Comment[White lives.]
Name[good]
)
(
;
Name[bad]
;
White[fc]
;
Black[fd]
;
White[fa]
Comment[Ko.]
)
)
SHAR_EOF
fi
if test -f 'j19'
then
	echo shar: "will not over-write existing file 'j19'"
else
cat << \SHAR_EOF > 'j19'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
AddWhite[ce][dd][bd][gc][fc][ec][dc][bc][gb]
AddBlack[cc][fb][eb][db][bb][ab]
Comment[White plays next move \(5 kyu\)]
PLayer[W]
;
White[fa]
(
;
Black[ba]
;
White[ea]
;
Black[da]
;
Comment[Black dies.]
White[cb]
)
(
;
Black[ea]
;
White[ca]
;
Black[ba]
;
White[cb]
;
Black[da]
;
White[cb]
Comment[Black dies.]
)
)
SHAR_EOF
fi
if test -f 'j20'
then
	echo shar: "will not over-write existing file 'j20'"
else
cat << \SHAR_EOF > 'j20'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
AddBlack[fe][ee][de][ce][hd][gd][bd][bc][hb][gb][bb][fa]
AddWhite[fd][ed][dd][cd][fc][cc][fb][eb][cb][ga]
Comment[White plays next move \(5 kyu\)]
PLayer[W]
;
White[dc]
;
Black[da]
;
White[ca]
;
Black[ea]
;
White[db]
;
Black[fa]
;
White[ea]
Comment[White lives.]
)
SHAR_EOF
fi
if test -f 'j21'
then
	echo shar: "will not over-write existing file 'j21'"
else
cat << \SHAR_EOF > 'j21'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
Comment[White plays next move \(1 dan\)]
AddBlack[be][dd][cd][bd][dc][cb]
AddWhite[cg][bf][ee][de][ce][ed][ec][eb][db]
PLayer[W]
;
White[ba]
(
;
Black[ca]
;
White[bb]
;
Black[bc]
;
White[da]
Comment[Black dead.]
)
(
;
Black[bb]
;
White[ca]
;
Black[ae]
;
White[ac]
;
Black[bc]
;
White[ab]
;
Black[ad]
;
White[da]
;
Black[aa]
;
White[ab]
Comment[Black dead.]
)
)
SHAR_EOF
fi
if test -f 'j22'
then
	echo shar: "will not over-write existing file 'j22'"
else
cat << \SHAR_EOF > 'j22'
(
;
GaMe[1]
VieW[]
SiZe[19]
SOurce[Jing Yang <jy23+@andrew.cmu.edu>]
PLayer[W]
AddBlack[db][bd][dd][ee]
AddWhite[ba][ab][bb][cc][lc][ck]
Comment[White plays next move.]
;
Comment[This is the only sequence posted to rec.games.go regarding this problem.  It doesn't work.  ]
White[eb]
;
Black[dc]
;
White[da]
;
Black[fb]
;
White[gb]
;
Black[ec]
;
White[fa]
Comment[Ko.]
)
SHAR_EOF
fi
exit 0
#	End of shell archive
