#! /bin/sh
# This is a shell archive, meaning:
# 1. Remove everything above the #! /bin/sh line.
# 2. Save the resulting text in a file.
# 3. Execute the file with /bin/sh (not csh) to create:
#	prob.01
#	prob.02
#	prob.03
#	prob.04
#	prob.05
#	prob.06
#	prob.07
#	prob.08
#	prob.09
#	prob.10
#	prob.11
#	prob.12
# This archive created: Mon May 13 19:49:20 1991
export PATH; PATH=/bin:/usr/bin:$PATH
if test -f 'prob.01'
then
	echo shar: "will not over-write existing file 'prob.01'"
else
cat << \SHAR_EOF > 'prob.01'
(
;
GaMe[1]
VieW[]
SiZe[19]
Comment[Black to play (about 7 kyu)

Problem 112 from Maeda I, pg 77
 
Solution follows.]
AddEmpty[bi][bo][cn][cp][dl]
White[ag][ah][bg][bh][bj][bk][bl][bm][ci][cj][dk]
Black[af][bf][bn][cf][cg][ch][ck][cl][cm][co][di][dj]
;
Black[ai]
;
White[aj]
;
Black[bi]
;
White[bh]
;
Black[am]
)
SHAR_EOF
fi
if test -f 'prob.02'
then
	echo shar: "will not over-write existing file 'prob.02'"
else
cat << \SHAR_EOF > 'prob.02'
(
;
GaMe[1]
VieW[]
SiZe[19]
Comment[While to play (about 8 kyu)

Problem 113 from Maeda I, pg 77

Solution follows.]
AddEmpty[lc]
White[lb][ld][mc][nb][nd][ne][ob][oe][pe][qe][rc][rd][re][sb]
Black[mb][nc][oc][od][pb][pd][qc][qd][ra][rb]
;
White[pa]
;
Black[qa]
;
Comment[Ko.

This is the best white can do.
]
White[na]
)
SHAR_EOF
fi
if test -f 'prob.03'
then
	echo shar: "will not over-write existing file 'prob.03'"
else
cat << \SHAR_EOF > 'prob.03'
(
;
GaMe[1]
VieW[]
SiZe[19]
Comment[Black to play (about 6 kyu)

Problem 114 from Maeda I, pg 77

Solution follows.
]
Black[lr][np][nq][nr][op][pp][qp][rp]
White[ns][oq][or][pq][qq][sr]
;
Black[ps]
(
;
White[rr]
;
Black[rs]
)
(
;
White[os]
(
;
Black[rq]
;
White[rr]
;
Black[qr]
)
(
;
Black[rs]
;
Comment[Seki. ]
White[qr]
)
)
)
SHAR_EOF
fi
if test -f 'prob.04'
then
	echo shar: "will not over-write existing file 'prob.04'"
else
cat << \SHAR_EOF > 'prob.04'
(
;
GaMe[1]
VieW[]
SiZe[19]
Comment[This is a tsume-go problem composed by the great Meijin Inoue Dosetsu Inseki for the first eidtion of his classic work "Hatsuyoron" in 1713.

Fujisawa Shuko said that this may be the greatest masterpiece ever.  He also called it "frightening." 

Black to play and win.

\(Posted by elil@sco.com\)]
Black[aj][ak][al][am][bd][bf][bm][bp][bs][ce][co][cp][cr][de][dh][di][dn][ek][el][em][ep][fc][fe][fj][fn][fo][fq][hb][il][ko][lb][lc][ld][le][lj][lk][me][mf][mi][mn][ni][nr][ns][oe][of][og][oh][oi][oo][os][pe][ph][pi][pl][pp][pq][pr][ps][qh][ql][qm][qq][ra][rh][rk][rm][sh][sk][sp][sq]
White[ah][ap][ar][bg][bj][bn][cd][cg][cj][cn][df][dg][dk][dl][en][eq][ff][gg][hc][hg][hi][hm][hp][ib][ir][jb][jd][jj][jk][jl][jm][jn][ke][kg][ki][kp][lg][lp][mb][mp][mr][ms][nd][ng][nj][od][oj][ok][on][op][or][pf][pj][qa][qc][qe][qj][qo][qp][rb][re][ri][rl][rn][ro][rq][si][sl][sm][sn][so]
)
SHAR_EOF
fi
if test -f 'prob.05'
then
	echo shar: "will not over-write existing file 'prob.05'"
else
cat << \SHAR_EOF > 'prob.05'
(
;
GaMe[1]
VieW[]
SiZe[19]
Black[af][ag][bb][bc][bd][bk][bm][bn][bo][bp][bq][cb][cd][ce][cf][ck][cp][db][dd][df][dk][dl][dm][dn][do][dp][dq][ef][el][er][es][fb][fc][fd][fe][ff][fg][fl][fn][fo][fp][fq][fs][gg][gl][gm][gn][gs][hb][hc][he][hg][hh][hl][hs][ic][ie][ig][ih][ir][is][jc][je][jh][ji][jj][jk][jl][jm][js][kc][kd][ke][kf][kh][kn][ks][lc][lg][ll][ln][ls][mc][mf][mi][mk][mm][ms][nc][ne][ng][nh][nj][nk][nm][ns][oc][oe][og][ol][pe][pg][pk][pl][pr][ps][qe][qg][qr][re][rg][rr][rs][sr]
White[ad][ae][ak][al][ar][be][bf][bg][bh][bi][bj][br][bs][cj][cr][da][dg][dh][dj][dr][ds][ea][eb][ec][eh][ej][ek][fa][fh][fk][fr][ga][gb][gc][gd][gh][gi][gk][go][gp][gq][gr][ha][hk][hn][ho][ib][ii][ij][ik][il][im][io][iq][ja][jb][jn][jp][jq][jr][kb][ko][kp][la][lb][lr][mb][mn][mo][mp][mq][mr][na][nb][of][oh][oi][oj][ok][om][on][oo][op][oq][or][os][pb][pc][ph][pq][qb][qd][qh][qj][ql][qm][qn][qo][qq][rc][rd][rh][ri][rj][rl][ro][rp][rq][sd][se][sf][sg][sk]
Comment[A Very Challenging One Point Endgame Problem
    
Here is the problem I am most proud of.  I would be very interested, impressed and shocked if anyone (even a pro) solved this problem without a great deal of knowledge of Elwyn Berlekamp's research.  The problem should be equally challenging under all popular rules.

The problem is white to move and win.  Life and death is not an issue -- merely the one point endgame moves.

David Wolfe \(wolfe@mandolin.Berkely.edu\)]
)
SHAR_EOF
fi
if test -f 'prob.06'
then
	echo shar: "will not over-write existing file 'prob.06'"
else
cat << \SHAR_EOF > 'prob.06'
(
;
GaMe[1]
VieW[]
SiZe[19]
White[kc][ke][le][mc][md][ne][oe][pd][qd][qf][re]
Black[ic][ie][jf][kf][lf][me][mf][mg][nc][nd][pc][qc][rb][rd][sc]
Comment[Here's a problem for the masses.  It's from a Chinese text, "Test Your Go Strength," by Rin Kai-ho (Lin Hai-feng).  This one is in the 8-kyu chapter, so it should not be *too* difficult:

"Widen your horizons:  White to move and live."

White is concerned with saving the five stones on the left.  There's move than one way to skin a cat, but there is only one elegant way to live here.
    
Roy Schmidt \(rschmidt@silver.ucs.indiana.edu\)]
)
SHAR_EOF
fi
if test -f 'prob.07'
then
	echo shar: "will not over-write existing file 'prob.07'"
else
cat << \SHAR_EOF > 'prob.07'
(
;
GaMe[1]
VieW[]
SiZe[19]
Comment[Problem from Kato's 3-move Tsumego, page 51.

White to  play.

Solution follows.]
White[bp][bq][br][bs][co][cs][do][dq][eo][fo][fp][fq][gq][iq]
Black[cp][cq][cr][dp][ds][ep][eq][fr]
;
White[fs]
;
Black[gr]
;
White[hr]
(
;
Black[gs]
;
White[er]
)
(
;
Black[es]
;
White[dr]
;
Black[er]
;
White[gs]
;
Black[hs]
;
White[gs]
)
)
SHAR_EOF
fi
if test -f 'prob.08'
then
	echo shar: "will not over-write existing file 'prob.08'"
else
cat << \SHAR_EOF > 'prob.08'
(
;
GaMe[1]
VieW[]
SiZe[19]
Comment[Black to play (~5 kyu)

Solution follows]
Black[jq][kr][lo][lp][lq][mo][no][oo][pn][pp][qp][qr][rr]
White[lr][mp][mr][np][op][or][pq][pr][qs]
;
Black[nq]
;
White[mq]
(
;
Name[Success]
Black[ls]
;
White[ps]
;
Letter[nr][ms]
Comment[a and b are now miai to kill white.]
Black[ns]
)
(
;
Name[Failure]
Black[ps]
;
White[ls]
;
Black[ns]
;
White[nr]
)
)
SHAR_EOF
fi
if test -f 'prob.09'
then
	echo shar: "will not over-write existing file 'prob.09'"
else
cat << \SHAR_EOF > 'prob.09'
(
;
GaMe[1]
VieW[]
SiZe[19]
White[bq][br][cp][dp][dr][ds][ep][es][fs][gp][io][iq][ir]
Black[bs][cq][cr][dq][eq][er][fr][gr][hr][hs]
Comment[Problem from Kato's 3-move Tsumego, page 53.

White to play.

Solution follows.]
;
White[cs]
;
Black[gs]
;
Comment[a and b are now miai.]
Letter[cs][es]
White[ds]
)
SHAR_EOF
fi
if test -f 'prob.10'
then
	echo shar: "will not over-write existing file 'prob.10'"
else
cat << \SHAR_EOF > 'prob.10'
(
;
GaMe[1]
VieW[]
SiZe[19]
Black[ap][ar][bp][co][cr][dp][dq]
White[ao][bm][bo][cn][dn][dr][ds][eo][ep][eq][fr]
Comment[Problem from Kato's 3-move Tsumego, page 53.  

White to play.

Solution follows.]
;
White[bs]
(
;
Black[cs]
;
White[br]
;
Black[cq]
;
White[bq]
;
Black[aq]
;
White[do]
;
Black[as]
;
White[br]
)
(
;
Black[br]
;
White[cs]
(
;
Black[bq]
;
White[cq]
)
(
;
Black[cp]
;
White[bq]
)
(
;
Black[do]
;
White[cq]
;
Black[cp]
;
White[bq]
)
)
)
SHAR_EOF
fi
if test -f 'prob.11'
then
	echo shar: "will not over-write existing file 'prob.11'"
else
cat << \SHAR_EOF > 'prob.11'
(
;
GaMe[1]
VieW[]
SiZe[19]
Comment[White to play and kill, avoiding ko and seki.

Solution follows.]
AddBlack[ac][bd][be][ce][da][db][dc][dd][fd]
AddWhite[ab][bb][ca][cb][cc][cd][cf][ch][de][df]
;
White[ae]
;
Black[bf]
;
White[bg]
;
Black[af]
;
White[bc]
;
Black[aa]
;
White[ad]
;
Black[ac]
;
White[ad]
)
SHAR_EOF
fi
if test -f 'prob.12'
then
	echo shar: "will not over-write existing file 'prob.12'"
else
cat << \SHAR_EOF > 'prob.12'
(
;
GaMe[1]
VieW[]
SiZe[19]
Comment[Here is a series of life and death problems.  They range from fairly easy to unbelievably difficult (perhaps the hardest problem I have ever seen).  The hard one is courtesy of Jimmy Cha, who showed it to me at the Fujitsu in SF recently.  He used it for betting, as follows:  you get to look at the problem for as long as you want, then when you think you have the answer, you bet Jimmy $1.  If you make a single mistake he keeps the $1, or if (ha-ha) you happen to have solved it correctly, he pays you $5.  Last time I checked he was $14 ahead.  Note that this means there must be a simple (but wrong) line of play which appears to succeed (but fails in a subtle way).  Anyway, I promise you LOTS of surprises in working this one out. 

Howard A. Landman]

(
;
Name[Warm up \(easy\)]
AddBlack[bp][bq][cr][dr][er]
AddWhite[ao][bo][co][cp][cq][dq][eq][fq][fr][gs]
Comment[BUT FIRST YOU NEED TO WARM UP

Let's start with something easy.  These problems are to be worked IN YOUR HEAD, as if you were seeing them in a real game.  No fair actually playing out the moves!

1a. Black to play and live 

2b. White to play and kill]
;
Comment[Here is one answer for white.  Note that there is death in the hane.  Black is just dead here, nothing tricky at all!]
White[es]
)
(
;
Name[Problem 2 \(easy\)]
AddBlack[bp][bq][cr][dr][er][fr]
AddWhite[ao][bo][co][cp][cq][dq][eq][fq][fs][gq][gr][hs]
Comment[But lengthen by one...

2. White to play and kill]
)
(
;
Name[Problem 3 \(medium\)]
AddBlack[bp][bq][cr][dr][er][fr][gr]
AddEmpty[iq]
AddWhite[ao][bo][co][cp][cq][dq][eq][fq][gq][gs][hq][hr][is]
Comment[Too easy, you say?  Sure, so let's try lengthening by one more...

3. White to play and kill]
)
(
;
Name[Final Problem \(HARD!\)]
AddBlack[bp][bq][cr][dr][er][fr][gr][hr]
AddWhite[ao][bo][co][cp][cq][dq][eq][fq][gq][hq][hs][iq][ir][js]
Comment[Well, that took a bit longer now, didn't it?  But you got it, didn't you?  Good!  Then you're ready for the killer...

Lengthen by one more:

4. White to play and kill

Some of you may be wondering, "Wait!  I just *barely* killed black in the *last* problem!  You want me to do it when he has one more space?"  But yes, it *is* possible! 

I tried using the Nemesis Tactical Wizard on this, but even with "unlimited" width, depth, and variations, it failed to even try the right first move! When shown the first move, it finds moves 2 and 3 but misses the best move 4. And so on ... until when shown the first 10 moves, it gives up, claiming Black is alive, only 3 moves away from the answer!  However, when shown the first 11 moves, it does correctly read out the final thrust...] 
)
(
;
Name[Addendum]
AddBlack[bp][bq][cr][dr][er][fr][gr][hr]
AddWhite[ao][bo][co][cp][cq][dq][eq][fq][gq][hq][hs][iq][ir][kr]
Comment[When this problem was first posted to rec.games.go, it the stone at K1 was located at L2 instead.  Without the stone at K1, black is alive.]
;
AddWhite[kq][lq][ls][mq][nq][oq][pq][qo][qp][qq][ro][so]
AddBlack[an][bn][cn][dn][do][eo][fo][go][ho][io][ip][jq][ko][kp][lo][lr][mo][mr][no][nr][oo][or][pn][po][pr][qn][qr][rn][rp][rq][sn]
Comment[This observation leads to even more baroque problems.  However, they should be easy once you've solved #4.

5. White to play and live]
;
AddWhite[jq][ps][qr][rq][rs][sr]
AddBlack[jp][kq][lq][nq][oq][pq][qp][sp][sq]
AddEmpty[ip][kp][kr][lo][lr][ls][mo][mq][mr][no][nr][oo][or][pn][pr][qn][qo][rn][ro][sn][so]
Comment[Or how about this one?]
)
)

SHAR_EOF
fi
exit 0
#	End of shell archive
